import androidx.fragment.app.testing.launchFragmentInContainer
import androidx.test.espresso.Espresso.onView
import androidx.test.espresso.action.ViewActions.swipeDown
import androidx.test.espresso.assertion.ViewAssertions.matches
import androidx.test.espresso.matcher.ViewMatchers.withId
import androidx.test.filters.LargeTest
import androidx.test.internal.runner.junit4.AndroidJUnit4ClassRunner
import org.junit.Rule
import org.junit.Test
import org.junit.runner.RunWith
import ru.myitschool.work.R
import ru.myitschool.work.ui.login.LoginFragment
import utils.SwipeRefreshLayoutMatchers.isRefreshing

@RunWith(AndroidJUnit4ClassRunner::class)
@LargeTest
class LoginFragmentTest {
    @get:Rule
    val fragmentRule = launchFragmentInContainer<LoginFragment>()

    @Test
    fun onSwipeDataRefreshes() {
        onView(withId(R.id.refresh)).perform(swipeDown())
        onView(withId(R.id.refresh)).check(matches(isRefreshing()))
    }
}