package ru.myitschool.work.data

import ru.myitschool.work.data.local.CredentialsLocalDataSource
import ru.myitschool.work.data.network.QrNetworkDataSource
import ru.myitschool.work.domain.entities.QrEntity
import ru.myitschool.work.domain.qr.QrRepository

class QrRepositoryImpl(
    private val networkDataSource: QrNetworkDataSource,
    private val credentialsLocalDataSource: CredentialsLocalDataSource
) : QrRepository {

    override suspend fun pushQr(qrEntity: QrEntity): Result<Unit> {
        return networkDataSource.pushQr(qrEntity, credentialsLocalDataSource.getToken())
    }
}