package ru.myitschool.work.ui.admin.search

import android.os.Bundle
import android.view.View
import androidx.fragment.app.Fragment
import androidx.fragment.app.viewModels
import androidx.navigation.fragment.findNavController
import ru.myitschool.work.R
import ru.myitschool.work.databinding.FragmentFindEmployeeBinding
import ru.myitschool.work.utils.collectWithLifecycle

class AdminFragment : Fragment(R.layout.fragment_find_employee) {

    private var _binding: FragmentFindEmployeeBinding? = null
    private val binding: FragmentFindEmployeeBinding get() = _binding!!

    private val viewModel by viewModels<AdminViewModel> { AdminViewModel.Factory }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        _binding = FragmentFindEmployeeBinding.bind(view)

        viewModel.state.collectWithLifecycle(this) { state ->
            binding.username.isEnabled = state !is AdminViewModel.State.Loading
            when (state) {
                is AdminViewModel.State.Error -> binding.error.text = state.errorMessage
                is AdminViewModel.State.Loading -> Unit
                is AdminViewModel.State.Show -> findNavController().navigate(R.id.action_adminFragment_to_viewUserAsAdminFragment)
                is AdminViewModel.State.Waiting -> Unit
            }
        }

        binding.find.setOnClickListener {
            viewModel.onFind(binding.username.text.toString())
        }
    }

    override fun onDestroy() {
        _binding = null
        super.onDestroy()
    }
}